=== debian/control ===
Source: ros-indigo-xacro
Section: misc
Priority: extra
Maintainer: Morgan Quigley <morgan@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.68), ros-indigo-roslint, ros-indigo-rostest
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-indigo-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roslaunch
Description: Xacro (XML Macros) Xacro is an XML macro language. With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.
